%define        majversion  %(echo %version | cut -d. -f 1-2)
%define        apiver  %(echo %version | cut -d. -f 1)

Name:          libgtksourceview
Version:       5.14.0
Release:       1mamba
Summary:       A text widget that extends the standard GTK+ 2.x text widget
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/Projects/GtkSourceView/
Source:        http://ftp.gnome.org/pub/gnome/sources/gtksourceview/%{majversion}/gtksourceview-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfribidi-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
BuildRequires: libpcre2-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel
BuildRequires: perl-XML-Parser
BuildRequires: gtk-doc

%description
GtkSourceView is a text widget that extends the standard gtk+ 2.x text widget.
It improves the gtk+ text widget by implementing syntax highlighting and other features typical of a source editor.
It is part of the GNOME Desktop Environment and it is currently being used by gedit, MonoDevelop, Glimmer and several other projects.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GtkSourceView is a text widget that extends the standard gtk+ 2.x text widget.
It improves the gtk+ text widget by implementing syntax highlighting and other features typical of a source editor.
It is part of the GNOME Desktop Environment and it is currently being used by gedit, MonoDevelop, Glimmer and several other projects.
This package contains static libraries and header files needed for development.

%package apidocs
Group:         Documentation
Summary:       API documentation for %{name}
Requires:      gtk-doc

%description apidocs
GtkSourceView is a text widget that extends the standard gtk+ 2.x text widget.
It improves the gtk+ text widget by implementing syntax highlighting and other features typical of a source editor.
It is part of the GNOME Desktop Environment and it is currently being used by gedit, MonoDevelop, Glimmer and several other projects.
This package contains the API documentation needed for development.

%debug_package

%prep
%setup -q -n gtksourceview-%{version}

%build
%meson \
   -Ddocumentation=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang gtksourceview-%{apiver}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f gtksourceview-%{apiver}.lang
%defattr(-,root,root)
%{_libdir}/libgtksourceview-%{apiver}.so.*
%{_libdir}/girepository-1.0/GtkSource-%{apiver}.typelib
%dir %{_datadir}/gtksourceview-%{apiver}
%dir %{_datadir}/gtksourceview-%{apiver}/fonts
%{_datadir}/gtksourceview-%{apiver}/fonts/*
%dir %{_datadir}/gtksourceview-%{apiver}/language-specs
%{_datadir}/gtksourceview-%{apiver}/language-specs/*
%dir %{_datadir}/gtksourceview-%{apiver}/snippets
%{_datadir}/gtksourceview-%{apiver}/snippets/*
%dir %{_datadir}/gtksourceview-%{apiver}/styles
%{_datadir}/gtksourceview-%{apiver}/styles/*
%{_datadir}/icons/hicolor/scalable/actions/*.svg
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gtksourceview-%{apiver}
%{_includedir}/gtksourceview-%{apiver}
%{_libdir}/libgtksourceview-%{apiver}.so
%{_datadir}/gir-1.0/GtkSource-%{apiver}.gir
%{_datadir}/vala/vapi/gtksourceview-%{apiver}.*
%{_libdir}/pkgconfig/*.pc
%doc NEWS

%files apidocs
%defattr(-,root,root)
%dir %{_docdir}/gtksourceview5
%{_docdir}/gtksourceview5/*

%changelog
* Sat Sep 14 2024 Automatic Build System <autodist@openmamba.org> 5.14.0-1mamba
- automatic version update by autodist

* Fri May 31 2024 Automatic Build System <autodist@openmamba.org> 5.12.1-1mamba
- automatic version update by autodist

* Mon Apr 22 2024 Automatic Build System <autodist@openmamba.org> 5.12.0-1mamba
- automatic version update by autodist

* Sun Sep 17 2023 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Sat Mar 18 2023 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Wed Jan 11 2023 Automatic Build System <autodist@mambasoft.it> 5.6.2-1mamba
- automatic version update by autodist

* Fri Sep 23 2022 Automatic Build System <autodist@mambasoft.it> 5.6.1-1mamba
- automatic version update by autodist

* Sun Sep 18 2022 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Mon Jun 13 2022 Automatic Build System <autodist@mambasoft.it> 5.4.2-1mamba
- automatic version update by autodist

* Fri Apr 22 2022 Automatic Build System <autodist@mambasoft.it> 5.4.1-1mamba
- automatic version update by autodist

* Sat Apr 02 2022 Automatic Build System <autodist@mambasoft.it> 5.4.0-1mamba
- automatic version update by autodist

* Wed Sep 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.0-1mamba
- update to 5.2.0

* Fri Apr 09 2021 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Wed Mar 03 2021 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- automatic version update by autodist

* Sun Aug 18 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.0-1mamba
- update to 4.2.0

* Fri Oct 27 2017 Automatic Build System <autodist@mambasoft.it> 3.22.2-1mamba
- automatic update by autodist

* Fri Nov 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.22.0-1mamba
- update to 3.22.0

* Thu Sep 15 2016 Automatic Build System <autodist@mambasoft.it> 3.20.4-1mamba
- automatic update by autodist

* Sun May 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.20.2-1mamba
- update to 3.20.2

* Sat Jan 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.18.2-1mamba
- update to 3.18.2

* Thu Oct 08 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16.1-1mamba
- update to 3.16.1

* Mon Apr 06 2015 Automatic Build System <autodist@mambasoft.it> 3.14.4-1mamba
- automatic update by autodist

* Tue Jan 20 2015 Automatic Build System <autodist@mambasoft.it> 3.14.3-1mamba
- automatic update by autodist

* Fri Nov 21 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic update by autodist

* Fri Oct 17 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic update by autodist

* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Mon Jul 21 2014 Automatic Build System <autodist@mambasoft.it> 3.13.2-1mamba
- automatic version update by autodist

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 3.13.1-1mamba
- automatic version update by autodist

* Mon May 12 2014 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Tue Apr 15 2014 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Thu Apr 10 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Jan 28 2014 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.1-1mamba
- update to 3.10.1

* Mon Aug 26 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic update by autodist

* Tue Aug 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.1-2mamba
- git typelib file moved from devel to main library package

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Feb 19 2013 Automatic Build System <autodist@mambasoft.it> 3.7.90-1mamba
- automatic version update by autodist

* Mon Feb 04 2013 Automatic Build System <autodist@mambasoft.it> 3.7.3-1mamba
- automatic version update by autodist

* Tue Jan 15 2013 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- automatic version update by autodist

* Sat Dec 29 2012 Automatic Build System <autodist@mambasoft.it> 3.7.1-1mamba
- automatic version update by autodist

* Sun Nov 04 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Tue May 15 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Mon Apr 16 2012 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Tue Mar 27 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Sun Jul 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-1mamba
- update to 3.0.5

* Tue Sep 28 2010 Automatic Build System <autodist@mambasoft.it> 2.10.5-1mamba
- automatic update to 2.10.5 by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 2.10.4-1mamba
- automatic update to 2.10.4 by autodist

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.10.3-1mamba
- automatic update to 2.10.3 by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic update by autodist

* Sun Apr 19 2009 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic update by autodist

* Mon Apr 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1mamba
- update to 2.6.0

* Thu Jan 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-1mamba
- automatic update by autodist

* Fri Sep 26 2008 gil <puntogil@libero.it> 2.4.0-1mamba
- update to 2.4.0

* Tue Jul 22 2008 gil <puntogil@libero.it> 2.2.2-1mamba
- update to 2.2.2

* Wed May 14 2008 gil <puntogil@libero.it> 2.2.0-1mamba
- update to 2.2.0
- removed --enable-gtk-doc

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- update to 2.0.1

* Wed Jun 27 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.90.1-1mamba
- package created by autospec
